Table of Contents

## Name

gluQuadricDrawStyle - specify the draw style desired for quadrics

## C Specification

void gluQuadricDrawStyle( GLUquadric* quad,

        GLenum draw )

eqn not supported

## Parameters

quad
  Specifies the quadrics object (created with gluNewQuadric).
draw
  Specifies the desired draw style. Valid values are GLU_FILL, GLU_LINE, GLU_SILHOUETTE, and GLU_POINT.

## Description

gluQuadricDrawStyle specifies the draw style for quadrics rendered with quad. The legal values are as follows:

GLU_FILL
  Quadrics are rendered with polygon primitives. The polygons are drawn in a counterclockwise fashion with respect to their normals (as defined with gluQuadricOrientation).
GLU_LINE
  Quadrics are rendered as a set of lines.
GLU_SILHOUETTE
  Quadrics are rendered as a set of lines, except that edges separating coplanar faces will not be drawn.
GLU_POINT
  Quadrics are rendered as a set of points.

## See Also

gluNewQuadric(3G) , gluQuadricNormals(3G) , gluQuadricOrientation(3G) , gluQuadricTexture(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also